* GP2.CMD

@  0,40 say "SECOND GRADING PERIOD"
@  3,10 say "How many weeks were there in ------>"
store "  " to mgone
store "  " to mgtwo
store f to mweeks
do while .not. mweeks
    @  5,15 say "Grading Period 1...? " get mgone pict "##"
    @  7,15 say "Grading Period 2...? " get mgtwo pict "##"
    read
    @ 10, 0 say " "
    input "                    IS ENTRY CORRECT <Y/N> ? " to mweeks
enddo

erase
@ 12,30 SAY "PRINTING.  PLEASE WAIT.   "
SET CONSOLE OFF
set print on
? PLINE
?? PEMPH
do while .not. eof
    store val(mgone) to mone
    store val(mgtwo) to mtwo
    if GRADE1 = "NM"
        store 0 to mone
        store 0 to mfirst
    else
        store GRADE1 to mnGRADE
        do LETGRADE
        store mtoto * mone to mfirst
    endif
    if GRADE = "NM"
        store 0 to mtwo
        store 0 to msecond
    else
        store GRADE to mnGRADE
        do LETGRADE
        store mtoto * mtwo to msecond
    endif
    store mone + mtwo to maverage
    store (mfirst + msecond)/maverage to mav
   do FINGRADE
   ? NAME + "    "
    ??  GRADE1 + "  "
    ??  GRADE  + "  "
    ??  ngrade + "                "
    ??  ENTER
    ??  phalf
   skip
enddo

? PENDE
IF PEJECT
    EJECT
ENDIF
? PENDS
set print off
SET CONSOLE ON
return

    enddo
        ? PENDS
        ? PENDE

        if peject
            eject
        endif
        set print off
        SET CONSOLE ON
        store t to mdoit
    endif
    if mask = "2"
        erase
        do